Subject: Re: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Noam Postavsky <[email-masked]>
Date: Wed, 8 Nov 2017 12:42:29 -0500

On Wed, Nov 8, 2017 at 11:05 AM, Eli Zaretskii <[email-masked]> wrote:

>> +Note also that we need to disable Imagemagick and DBUS because Emacs
>> +does not yet support them on Windows.
>
> I think the correct spelling is D-Bus, no?

Yes, you're right (ref https://www.freedesktop.org/wiki/Software/dbus/).

>> +** Check your $PATH
>> +
>> +When building Emacs, you should have /mingw64/bin in $PATH, such that running
>> +
>> +    which gcc
>> +
>> +gives '/mingw64/bin/gcc'.
>> +
>> +** Check your $PKG_CONFIG_PATH
>> +
>> +It should start with '/mingw64/lib/pkgconfig'.
>
> You are talking to Windows users here, they might not be familiar with
> the Unix shell's $FOO syntax.  So I suggest to be more explicit here,
> something like
>
>   ** Check your PATH environment variable
>
> Also, there are native Windows ports of 'which', so I suggest to say
> explicitly that "which gcc" should be invoked from the MSYS Bash
> command line (and if so, why not use "type gcc" instead?).  Otherwise,
> the report by 'which' might be in a very different form, because
> /mingw64 is not a real Windows file name.
>
> (Btw, on my system, "type gcc" from Bash says "/d/usr/bin/gcc", and
> there's nothing wrong with my installation.  So this advice could be
> okay for the newbies, but if the value is different, it doesn't yet
> mean the installation is wrong.  I'm just saying.)

But you have MSYS (1), right? The issue here, is that with MSYS2 there
are 3 possible gcc's that can be installed. The mingw64 one should be
active. If the user launched C:\msys64\msys2.exe instead of
C:\msys64\mingw64.exe, they would get "/usr/bin/gcc", which is not the
right gcc (it would result in the "Emacs does not support
'x86_64-pc-msys' systems" error mentioned in the bug title).

Obviously, the text in my patch didn't explain this clearly enough.

>> +** Check your MSYS2 fstab file
>
> I don't understand why this part is necessary.  AFAIR, fstab is set up
> by the MSYS installer, and if it doesn't have the correct entries,
> nothing will really work.  So I think this problem can only happen if
> someone manually tinkers with their fstab, and if so, they should know
> what they are doing.  Asking people to look there runs the risk of
> them deciding that the value is somehow incorrect, and editing it to
> completely ruin their MSYS installation.  FWIW, I have _never_ needed
> to look at that file, in all the years I have an actively maintained
> and used MSYS installation.
>
> So I think this is best skipped.

Maybe we should title the section "If your name is Vincent, Check your
MSYS2 fstab file" ;)